Skip to main content
GET
/
blocked_dates
/
{blockedDateId}
Get a blocked date
curl --request GET \
  --url https://app.supercycle.com/api/v1/blocked_dates/{blockedDateId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.supercycle.com/api/v1/blocked_dates/{blockedDateId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.supercycle.com/api/v1/blocked_dates/{blockedDateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "from": "2023-12-25",
  "resourceId": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "resource": {
    "id": 123,
    "title": "<string>",
    "formattedId": "<string>",
    "imageUrl": "<string>",
    "shopifyVariantId": 123,
    "shopifyProductId": 123,
    "shopifyDomain": "<string>"
  },
  "description": "<string>",
  "to": "2023-12-25"
}
{
"error": "Blocked date not found"
}
{
"error": "Rate limit exceeded. Retry after 42 seconds."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

blockedDateId
integer<int64>
required

Numeric ID of the blocked date.

Response

Blocked date details

id
integer<int64>
required

Numeric ID of the blocked date.

from
null | string<date>
required

First blocked calendar day (inclusive). Null when the block is open-start.

resourceType
enum<string>
required

Type of resource the blocked dates apply to. Use Shop to block every product in the store.

Available options:
Item,
Shopify::Variant,
Shopify::Product,
Shop
resourceId
integer<int64>
required

Numeric ID of the blocked resource in Supercycle.

createdAt
string<date-time>
required

When the blocked date was created.

updatedAt
string<date-time>
required

When the blocked date was last updated.

resource
object
required
description
null | string

Optional note describing why the dates are blocked.

to
null | string<date>

Last blocked calendar day (inclusive). Null when the block is open-ended.